clang 8.0.0

Namespaces | Macros
ASTFwd.h File Reference

Forward declaration of all AST node types. More...

`#include "clang/AST/DeclNodes.inc"`
`#include "clang/AST/StmtNodes.inc"`
`#include "clang/AST/TypeNodes.def"`
Include dependency graph for ASTFwd.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
| clang
| Dataflow Directional Tag Classes.

## Macros
#define | DECL(DERIVED, BASE) class DERIVED##Decl;
#define | STMT(DERIVED, BASE) class DERIVED;
#define | TYPE(DERIVED, BASE) class DERIVED##Type;

## Detailed Description

Forward declaration of all AST node types.

Definition in file ASTFwd.h.

## Macro Definition Documentation

## ◆ DECL

#define DECL | ( |  | DERIVED,
|  |  | BASE
| ) |  | class DERIVED##Decl;

Definition at line 21 of file ASTFwd.h.

## ◆ STMT

#define STMT | ( |  | DERIVED,
|  |  | BASE
| ) |  | class DERIVED;

Definition at line 24 of file ASTFwd.h.

## ◆ TYPE

#define TYPE | ( |  | DERIVED,
|  |  | BASE
| ) |  | class DERIVED##Type;

Definition at line 27 of file ASTFwd.h.